tvbrowser.ui.pluginview.contextmenu

## Class PluginBasedPluginContextMenu

- java.lang.Object
- - tvbrowser.ui.pluginview.contextmenu.AbstractContextMenu
  - - tvbrowser.ui.pluginview.contextmenu.PluginContextMenu
    - - tvbrowser.ui.pluginview.contextmenu.PluginBasedPluginContextMenu

- All Implemented Interfaces:
    ContextMenu

      public class PluginBasedPluginContextMenu
      extends PluginContextMenu

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginBasedPluginContextMenu(PluginTree tree, javax.swing.tree.TreePath path, Plugin plugin, ActionMenu[] menus)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ActionMenu` | `getButtonAction()`
    `protected java.lang.String` | `getPluginId()`
    `protected boolean` | `hasSettingsTab()`

    - ### Methods inherited from class tvbrowser.ui.pluginview.contextmenu.PluginContextMenu

      `getDefaultAction, getPopupMenu`

    - ### Methods inherited from class tvbrowser.ui.pluginview.contextmenu.AbstractContextMenu

      `collectProgramsFromNode, getCollapseAllMenuItem, getCollapseExpandAction, getExpandAllMenuItem, getExportMenu, getFilterMenuItem, getObjectForNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginBasedPluginContextMenu

          public PluginBasedPluginContextMenu(PluginTree tree,
                                      javax.swing.tree.TreePath path,
                                      Plugin plugin,
                                      ActionMenu[] menus)

  - ### Method Detail

    - #### getButtonAction

          protected ActionMenu getButtonAction()

      Specified by:
        `getButtonAction` in class `PluginContextMenu`

    - #### hasSettingsTab

          protected boolean hasSettingsTab()

      Specified by:
        `hasSettingsTab` in class `PluginContextMenu`

    - #### getPluginId

          protected java.lang.String getPluginId()

      Specified by:
        `getPluginId` in class `PluginContextMenu`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)